MESG(1)

NAMN
mesg - visa (eller inte visa) meddelanden från andra användare

SYNOPSIS

mesg [option] [n|y]

BESKRIVNING

Verktyget mesg anropas av en användare för att kontrollera skrivåtkomst som andra har till den terminalenhet som är associerad med standardfelutmatningen. Om skrivåtkomst tillåts kan program som talk(1) och write(1) visa meddelanden på terminalen.

Traditionellt är skrivåtkomst tillåten som standard. Men i takt med att användarna blir mer medvetna om olika säkerhetsrisker finns det en trend att ta bort skrivåtkomst som standard, åtminstone för det primära inloggningsskalet.

The initial permissions for the terminal are set by login(1) according to TTYPERM and TTYGROUP from /etc/login.defs. The default is mode 0620 if a tty group is used, and 0600 without the group. The default tty group name is "tty".

För att säkerställa att dina ttys ställs in på ett portabelt och oberoende sätt från systeminställningarna bör mesg köras i dina inloggningsskript.

mesg ändrar skrivrättigheterna för en grupp på den aktuella terminalenheten. Sedan version 2.41 kan mesg inte längre kompileras för att göra terminalen skrivbar för andra och ändrar strikt endast grupp-behörigheter. Den vanliga inställningen är att använda en "tty"-grupp och lägga till relevanta användare i denna grupp. Alternativt, en mindre säker lösning, är att ställa in verktyg som write(1) eller wall(1) till setgid för gruppen "tty".

Verktyget mesg avslutas i tysthet med felstatus 2 om det inte körs på en terminal. I detta fall är det meningslöst att köra mesg. Kommandoradsflaggan --verbose tvingar mesg att skriva ut en varning i den här situationen. Detta beteende har införts i version 2.33.

ARGUMENT

n
    Avvisa meddelanden.

y
    Tillåt att meddelanden visas.

Om inga argument anges visar mesg den aktuella meddelandestatusen på standardfelutmatningen.

FLAGGOR

-v, --verbose
    Förklara vad som görs.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

Verktyget mesg avslutas med något av följande värden:

0
    Meddelanden är tillåtna.

1
    Meddelanden är inte tillåtna.

>1
    Ett fel har inträffat.

FILER

/dev/[pt]ty*, /dev/pts/[0-9]*

HISTORIK

mesg (I) förekommer i UNIX Programmer’s Manual. Det brukade invertera det aktuella tillståndet utan argument före version 7 AT&T UNIX.

SE ÄVEN

login(1), talk(1), write(1), wall(1), xterm(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot mesg ingår i paketet util-linux som kan hämtas från